* {
  margin: 0;
  padding: 0;
  box-sizing: border-box; }

html {
  font-size: 62.5%;
  text-align: justify; }

body {
  font-family: var(--font-family);
  color: var(--text);
  font-size: 1.6rem; }

p {
  margin: 1rem 0; }

h1,
h2,
h3,
h4,
h5,
h6 {
  margin: 1rem 0 2rem 0; }

ul {
  list-style: none; }

a {
  color: var(--text);
  text-decoration: none; }

.title-small {
  letter-spacing: 0.5rem;
  font-size: 1.7rem; }

.text-primary {
  color: var(--primary); }

.text-hint {
  color: var(--hint); }

.mb-5 {
  margin-bottom: 5rem !important; }

.mb-2 {
  margin-bottom: 2rem !important; }

.mx-1 {
  margin-left: 1rem !important;
  margin-right: 1rem !important; }

@keyframes bounce {
  0% {
    transform: rotate(-45deg); }
  10% {
    transform: rotate(-35deg); }
  70% {
    transform: rotate(20deg); }
  80% {
    transform: rotate(-10deg); }
  90% {
    transform: rotate(5deg); }
  100% {
    transform: rotate(0deg); } }

/* Landscape phones and down */
/* Landscape phone to portrait tablet */
/* Portrait tablet to landscape and desktop */
/* Large desktop */
.grid-container {
  display: grid;
  grid: "picture header" auto "aside main" 1fr "footer footer" auto / 300px auto;
  min-height: 100vh; }
  @media (max-width: 480px) {
    .grid-container {
      grid: "header" auto "main" auto "picture" auto "aside" auto "footer" auto / auto; } }

header {
  grid-area: header;
  background: linear-gradient(to right, var(--primary), var(--light));
  padding: 8rem 5rem;
  text-align: center;
  color: white;
  display: flex;
  flex-direction: column;
  justify-content: center;
  align-items: center; }
  @media (max-width: 480px) {
    header {
      padding: 5rem 2rem; } }
  header h1 {
    font-size: 6rem;
    line-height: 8rem;
    font-weight: 300;
    letter-spacing: 3rem; }
    @media (max-width: 480px) {
      header h1 {
        font-size: 4rem; } }
    header h1 span {
      display: inline-block;
      animation: bounce 2s; }
  header p {
    letter-spacing: 0.5rem; }

.picture {
  grid-area: picture;
  padding: 6rem;
  background: var(--background);
  border-right: 1px solid var(--border); }
  .picture img {
    border-radius: 50%;
    max-width: 100%; }

aside {
  grid-area: aside;
  background: var(--background);
  border-right: 1px solid var(--border);
  padding: 5rem; }
  aside h3 {
    margin-bottom: 0;
    font-size: 1.5rem; }
  aside p {
    margin: 0 0 2rem 0;
    font-style: italic; }
  aside .bar-skill {
    margin: 2rem 0;
    height: 5px;
    background: var(--hint);
    position: relative; }
    aside .bar-skill .bar-skill-progress {
      position: absolute;
      height: 5px;
      top: 0;
      left: 0;
      width: 80%;
      background: var(--light); }
    aside .bar-skill .bar-skill-dot {
      position: absolute;
      height: 10px;
      width: 10px;
      background: var(--dark);
      left: 100%;
      top: -2.5px;
      transform: rotate(45deg); }
  aside .stars-container {
    display: flex;
    margin: 2rem 0 3rem 0;
    color: var(--hint); }
    aside .stars-container i {
      font-size: 2rem;
      margin: 0 1rem; }
  aside .social-container {
    display: flex;
    justify-content: start;
    align-items: center;
    padding: 1rem;
    font-size: 1.5rem;
    letter-spacing: 0;
    transition: all 0.2s;
    border-radius: 5px; }
    aside .social-container:hover {
      background: var(--border); }
      aside .social-container:hover i {
        color: var(--primary);
        transform: scale(1.3);
        transition: all 0.2s; }
    aside .social-container i {
      font-size: 2rem;
      flex: 0 0 50px;
      margin-right: 1rem; }
    aside .social-container p {
      flex: auto;
      margin: 0; }

main {
  grid-area: main;
  padding: 5rem; }
  @media (max-width: 480px) {
    main {
      padding: 5rem 2rem; } }
  main h2 {
    margin-bottom: 4rem; }
  main p {
    letter-spacing: 0.1rem;
    line-height: 3rem; }
  main .experience {
    display: flex;
    margin: 3rem 0; }
    main .experience .timeline {
      text-align: center;
      color: var(--hint);
      padding-right: 2rem;
      border-right: 1px solid var(--border); }
      main .experience .timeline p {
        margin: 0; }
    main .experience .content {
      padding: 0 1rem; }
      main .experience .content h3 {
        margin: 0; }
      main .experience .content p {
        margin: 0; }
      main .experience .content ul {
        list-style: circle;
        padding-left: 4rem; }

footer {
  grid-area: footer;
  display: flex;
  flex-direction: column;
  text-align: center;
  justify-content: center;
  align-items: center;
  color: white;
  padding: 5rem;
  background: var(--text); }
  footer form {
    display: flex;
    align-items: center; }
    footer form h2 {
      margin-bottom: 3rem; }
    footer form .prefix {
      background: linear-gradient(to right, var(--dark), var(--light));
      padding: 1rem 2rem;
      color: white;
      font-size: 2rem;
      border-top-left-radius: 10%;
      border-bottom-left-radius: 10%; }
    footer form button {
      background: none;
      border: 0;
      cursor: pointer;
      transition: all 0.2s; }
      footer form button:hover {
        opacity: 0.6; }
      footer form button .postfix {
        background: linear-gradient(to right, var(--dark), var(--light));
        padding: 1rem 2rem;
        color: white;
        font-size: 2rem;
        border-top-right-radius: 10%;
        border-bottom-right-radius: 10%; }
    footer form input {
      outline: 0;
      border: 0;
      min-width: 400px;
      line-height: 2rem;
      padding: 1rem 2rem; }
      footer form input::placeholder {
        color: var(--text); }
